Skip to navigation

Discover a partner’s OCPI versions and endpoints (admin)

Admin only. Calls the partner’s versions and version-details endpoints and stores the modules it offers, without changing credentials.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionenumRequired

OCPI version: 211 (2.1.1), 221 (2.2.1) or 230 (2.3.0).

Allowed values:
roleenumRequired
Our OCPI role for this partner.
Allowed values:

Request

This endpoint expects an object.
partner_urlstringRequired>=1 character
partner_tokenstringRequired>=1 character
partner_token_encodingenumOptionalDefaults to auto
Allowed values:

Response

Successful Response
versionenum or nullOptional
Allowed values:
urlstring or nullOptional
endpointslist of maps from strings to any or nullOptional
errorstring or nullOptional
codeenum or nullOptional
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error